Bug 19005 - passwd command problem
Summary: passwd command problem
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: passwd   
(Show other bugs)
Version: 7.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-12 22:51 UTC by Jose Salinas
Modified: 2007-04-18 16:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-21 07:57:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Salinas 2000-10-12 22:51:58 UTC
Whenever I try to assign a password to a new user using the "passwd" command
I keep getting the following error:

"Authentication token manipulation error"

This is only after I upgraded to RedHat 7.0

Comment 1 rakarra 2000-10-14 04:05:59 UTC
I've been getting this error too, but it occurs every time I try to change any passwd, whether there was an existing one or not. Not using shadow 
passwords.

Comment 2 Need Real Name 2000-10-26 14:05:08 UTC
I have also been getting this problem....only after the upgrade to RH7.

Comment 3 hephaestus 2000-11-03 09:03:08 UTC
I too have discovered this problem. I am not using shadow passwords, and the problem only appeared after upgrading from RH 6.2 to RH7.0


Comment 4 hephaestus 2000-11-03 09:14:09 UTC
Addendum to my previous comment: Possible workaround

When I tried changing the password with:-
    echo username:newpassword | chpasswd
I did not get any kind of error message. Unfortunately, I was called away before I could ascertain whether the password had in fact been changed.

Comment 5 Need Real Name 2000-11-20 15:15:45 UTC
I'm getting the same errors when i type passwd user
but when i use 

echo root:123456 | chpasswd

it works fine

Comment 6 hephaestus 2000-11-21 07:57:09 UTC
Unfortunately,  " echo username:newpassword | chpasswd " can only be done by the root user.
I tried removing the version of passwd that came with RH7 and replacing it with the one came with RH 6.2. Despite all the dire warnings of possible 
system instability, it seems to work fine.

Comment 7 Nalin Dahyabhai 2000-12-04 16:40:56 UTC
This should be fixed by the just-released PAM errata package.  It was not
detecting the not-using-shadow-passwords case properly on upgrades.


Note You need to log in before you can comment on or make changes to this bug.